Bug 1652444 - [Update] Support ODL L2 minor update with OSP
Summary: [Update] Support ODL L2 minor update with OSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 14.0 (Rocky)
Assignee: Janki
QA Contact: Noam Manos
URL:
Whiteboard: Update
Depends On: 1597666
Blocks: 1594731
TreeView+ depends on / blocked
 
Reported: 2018-11-22 06:26 UTC by Toni Freger
Modified: 2019-01-11 11:55 UTC (History)
14 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.1-0.20181013060904.el7ost
Doc Type: Known Issue
Doc Text:
The `neutron_driver` parameter has the value `null` in the containers-prepare-parameter.yaml file. This might cause minor updates to the overcloud in OpenDaylight deployments. Workaround: Before you update the overcloud, set the value of the `neutron_driver` parameter to `odl`.
Clone Of: 1597666
Environment:
Last Closed: 2019-01-11 11:55:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Evidence of verification (772.36 KB, application/x-bzip)
2018-12-17 23:06 UTC, Michel Peterson
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1779410 None None None 2018-11-22 06:26:50 UTC
OpenStack gerrit 585159 None stable/queens: MERGED tripleo-heat-templates: Edit some post update tasks logic (Ib549e29f50bbbb434183ac9423bcf776807ff1a4) 2018-12-18 18:44:40 UTC
OpenStack gerrit 620053 None master: MERGED tripleo-heat-templates: Don't mount data folder (Icb415f6ac379e757edfe6dd73f80484a6697d152) 2018-12-18 18:44:32 UTC
Red Hat Bugzilla 594731 None CLOSED abrtd fails to start 2019-09-27 03:17:06 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:55:11 UTC

Comment 4 Michel Peterson 2018-12-17 23:06:54 UTC
Created attachment 1515178 [details]
Evidence of verification

Verified by me, attachment shows the logs of the process.

update_prepare.log -> openstack overcloud update prepare
update_run.log     -> openstack overcloud update run
update_converge    -> openstack overcloud update converge

Comment 5 Michel Peterson 2018-12-17 23:10:28 UTC
Verification was done with the following versions.

PUDDLE=2018-12-14.1
RPM=openstack-tripleo-heat-templates-9.0.1-0.20181013060906.el7ost.noarch

I'll leave QE to advance this to verified as they see fit.

Comment 7 Noam Manos 2018-12-18 10:26:07 UTC
OSP14 Minor Update from puddle 2018-12-12.4 to GA (2018-12-17.1) passed successfully.

Testing Floating IP and SNAT to instances has worked as expected:

+--------------------------------------+-----------------+--------+--------------------------------------------------------------+--------+-------------+
| ID                                   | Name            | Status | Networks                                                     | Image  | Flavor      |
+--------------------------------------+-----------------+--------+--------------------------------------------------------------+--------+-------------+
| ea436de1-51e2-40cb-9eef-d720b53cc240 | rhel75_vm1_net2 | ACTIVE | net_ipv64_2=10.0.2.6, 2002::f816:3eff:fe23:2eed, 10.0.0.232  | rhel75 | rhel_flavor |
| 08f439be-85e0-4086-94f2-131001a7f140 | rhel75_vm1_net1 | ACTIVE | net_ipv64_1=2001::f816:3eff:fe29:d5f9, 10.0.1.10, 10.0.0.220 | rhel75 | rhel_flavor |
+--------------------------------------+-----------------+--------+--------------------------------------------------------------+--------+-------------+


(undercloud) [stack@undercloud-0 ~]$ ssh -i tester_key.pem cloud-user@rhel75_vm1_net2
ssh: Could not resolve hostname rhel75_vm1_net2: Name or service not known
(undercloud) [stack@undercloud-0 ~]$ ssh -i tester_key.pem cloud-user@10.0.0.232 "ping 8.8.8.8 -c 5"                                                                         |
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=117 time=51.7 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=117 time=49.4 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=117 time=48.8 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=117 time=48.8 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=117 time=49.1 ms

--- 8.8.8.8 ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4008ms
rtt min/avg/max/mdev = 48.877/49.617/51.721/1.083 ms
(undercloud) [stack@undercloud-0 ~]$ ssh -i tester_key.pem cloud-user@10.0.0.220 "ping 8.8.8.8 -c 5"                                                                         
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=117 time=49.7 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=117 time=49.3 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=117 time=48.9 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=117 time=49.2 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=117 time=49.1 ms

--- 8.8.8.8 ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4009ms
rtt min/avg/max/mdev = 48.961/49.301/49.758/0.355 ms
(undercloud) [stack@undercloud-0 ~]$ ssh -i tester_key.pem cloud-user@10.0.0.220 "ping 10.0.0.232 -c 5"                                                                      
PING 10.0.0.232 (10.0.0.232) 56(84) bytes of data.
64 bytes from 10.0.0.232: icmp_seq=1 ttl=64 time=3.29 ms
64 bytes from 10.0.0.232: icmp_seq=2 ttl=64 time=2.01 ms
64 bytes from 10.0.0.232: icmp_seq=3 ttl=64 time=1.13 ms
64 bytes from 10.0.0.232: icmp_seq=4 ttl=64 time=1.65 ms
64 bytes from 10.0.0.232: icmp_seq=5 ttl=64 time=1.45 ms

--- 10.0.0.232 ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4008ms
rtt min/avg/max/mdev = 1.133/1.911/3.299/0.751 ms

Comment 8 Janki 2018-12-18 11:03:42 UTC
Filed a doc bug specifying few extra steps needed during update process.
https://bugzilla.redhat.com/show_bug.cgi?id=1660454

Comment 18 errata-xmlrpc 2019-01-11 11:55:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.